---
schema_version: "1"
id: 6f3d2c94e64ed97fde61c8b8aa5e6237c9bbb03c5067148e75a43f7255497df1
title: List Preferences Input
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_requests_list_preferences_input.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_preferences_input.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: ddb82ce8e0c90650585fa9c1961927b30d388875d2bdcd9086076282a12ba065
description: List preferences to update.
---
# List Preferences Input

List preferences to update.

Example

This example updates list preferences for the All Accounts list view.

PATCH /services/data/v68.0/ui-api/list-preferences/Account/AllAccounts

{
"columnWidths" : {
  "Name" : 200
  },
"columnWrap" : {
  "Name" : false
  },
"orderedBy" : \[{
  "fieldApiName": "Name",
  "isAscending" : true
  }\]
}

Properties

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d26631e63">Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d26631e66">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d26631e69">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d26631e72">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d26631e75">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d26631e63" data-title="Name"><samp class="codeph nolang">columnWidths</samp></td>

                  <td class="entry" headers="d26631e66" data-title="Type">Map&lt;String, Integer&gt;</td>

                  <td class="entry" headers="d26631e69" data-title="Description">Column width preferences to update. If you pass a null value, preferences
                    reset to the default.</td>

                  <td class="entry" headers="d26631e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d26631e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d26631e63" data-title="Name"><samp class="codeph nolang">columnWrap</samp></td>

                  <td class="entry" headers="d26631e66" data-title="Type">Map&lt;String, Boolean&gt;</td>

                  <td class="entry" headers="d26631e69" data-title="Description">Column wrap preferences to update. If you pass a null value, preferences
                    reset to the default.</td>

                  <td class="entry" headers="d26631e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d26631e75" data-title="Available Version">61.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d26631e63" data-title="Name"><samp class="codeph nolang">orderedBy</samp></td>

                  <td class="entry" headers="d26631e66" data-title="Type">
                    <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_list_order_by_input.htm" title="Information describing how to order a related list. This request body supports sorting related lists only by one field. Use this request body to update a related list.">List Order By Input</a>[]
                  </td>

                  <td class="entry" headers="d26631e69" data-title="Description">Ordering preferences to update. If you pass a null value, preferences
                    reset to the default.<p class="p">In API version 63.0 and later, you can sort by up to
                      five columns. In earlier versions, results are sorted by the first
                      column.</p>
                  </td>

                  <td class="entry" headers="d26631e72" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d26631e75" data-title="Available Version">61.0</td>

                </tr>

              </tbody>

            </table>

#### See Also

- [Update List View Preferences](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_preferences_update.htm "Update list view preferences.")